## prelink 0.0.20090925

=== debian/changelog ===
prelink (0.0.20090925-8) unstable; urgency=low

  * QA upload.
  * Add debian/patches/ftbfs-no-copy-dt-needed.patch: (Closes: #713628)
    - Fixes a FTBFS with The --no-copy-dt-needed linker flag which requires
      that all needed libraries are explicitly added to the linker command
      line.

 -- Andreas Moog <amoog@ubuntu.com>  Sat, 10 Aug 2013 23:22:16 +0200

prelink (0.0.20090925-7) unstable; urgency=low

  * QA upload.
  * m4/libelf.m4: Fixed open() call to include mode, as some gcc
    configurations disallow using O_CREAT without it.  On Ubuntu, this
    caused an FTBFS on all architectures in prelink's check for proper
    libelf support (thanks, Ben Collins).
  * Convert to dh-autoreconf, dropping manual autotools update patches.
  * Convert to 3.0 (quilt) source format.
  * Add ${misc:Depends}.
  * Add build-arch and build-indep targets to debian/rules.
  * Override statically-linked-binary Lintian error; prelink.bin must remain
    statically linked so that e.g. it doesn't try to operate on itself.

 -- Colin Watson <cjwatson@debian.org>  Wed, 08 May 2013 09:49:27 +0100

prelink (0.0.20090925-6) unstable; urgency=low

  * QA upload.
  * Use system libtool
  * Remove debian/patches/Makefile.in.dpatch, which is now automatically
    generated.
  * Switch back to libelfg0 (since it is up to date on all architectures).

 -- Michael Gilbert <mgilbert@debian.org>  Mon, 11 Jun 2012 14:34:26 -0400

prelink (0.0.20090925-5) unstable; urgency=low

  * QA upload.
  * Use libelf instead of libelfg0.

 -- Michael Gilbert <mgilbert@debian.org>  Mon, 11 Jun 2012 10:22:26 -0400

prelink (0.0.20090925-4) unstable; urgency=low

  * QA upload.
  * Use system config.sub and config.guess.

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 09 Jun 2012 12:53:24 -0400

prelink (0.0.20090925-3) unstable; urgency=low

  * QA upload.
  * Remove explicit libc6-dev dependencies and set selinux dependency as
    linux-only; making it possible to build on non-linux architectures.

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 09 Jun 2012 03:40:29 -0400

prelink (0.0.20090925-2) unstable; urgency=low

  * QA upload
  * debian/control: Set Maintainer: to the QA group, drop Uploaders:
  * debian/patches/: Add r187.dpatch, r188.dpatch, r189.dpatch and
    r190.dpatch, cherry-picked from the upstream SVN
    (svn://sourceware.org/svn/prelink), which define and handle several new
    DWARF codes emitted by gcc > 4.5 (Closes: #676390)

 -- Andrey Rahmatullin <wrar@wrar.name>  Thu, 07 Jun 2012 16:14:47 +0600

prelink (0.0.20090925-1) unstable; urgency=low

  * New upstream release.
  * debian/{control,rules}:
    - Split execstack into a separate binary package to avoid dragging 
      the full prelink utility/cron stack into main. (Closes: #543599)
      Thanks to Kees Cook <kees@debian.org>
  * debian/control:
    - Prelink is now supposed to build on any architecture. (Closes: #497328)
  * debian/patches/timestamp.dpatch
    - Adds -T options to add timestamp on every error output. (Closes: #367320)
  * debian/prelink.sh:
    - Verifies if the programm is being redirected or attached to a TTY.
      (Closes: #449383)


 -- Andrés Roldán <aroldan@debian.org>  Mon, 19 Oct 2009 14:07:56 +0000

prelink (0.0.20090311-1) unstable; urgency=low

  * New upstream release.

 -- Andrés Roldán <aroldan@debian.org>  Tue, 14 Apr 2009 14:15:26 +0000

prelink (0.0.20071009-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/prelink.8.dpatch:
    - Removed. Already applied by upstream.

 -- Andrés Roldán <aroldan@debian.org>  Sat, 13 Oct 2007 02:40:10 +0000

prelink (0.0.20061201-1) unstable; urgency=low

  * New upstream version.

 -- Andrés Roldán <aroldan@debian.org>  Mon,  4 Dec 2006 16:10:40 +0000

prelink (0.0.20061027-1) unstable; urgency=low

  * New upstream version.
  * debian/patches/cache.dpatch:
    - Removed. Upstream already applied it.

 -- Andrés Roldán <aroldan@debian.org>  Fri, 10 Nov 2006 20:46:16 +0000

prelink (0.0.20060712-3) unstable; urgency=low

  * debian/prelink.sh:
    - Added LC_ALL='C' line to avoid annoying messages with coreutils >= 6.0

 -- Andrés Roldán <aroldan@debian.org>  Thu, 19 Oct 2006 13:39:40 +0000

prelink (0.0.20060712-2) unstable; urgency=low

  * debian/patches/cache.dpatch:
    - Solves a crash when sorting the cache file. (Closes: #379366) 

 -- Andrés Roldán <aroldan@debian.org>  Tue, 15 Aug 2006 23:38:08 +0000

prelink (0.0.20060712-1) unstable; urgency=low

  * New upstream version.
  * debian/prelink.cron-daily:
    - Uses Debian package database instead of Redhat. (Closes: #338183)
  * debian/prelink.sh:
    - Don't exit with 0 code if prelink was aborted by lack of disk space.
      (Closes: #366320)
  * debian/patches/prelink.8.dpatch:
    - Fixed typos in prelink manpage. (Closes: #337187)

 -- Andrés Roldán <aroldan@debian.org>  Mon, 17 Jul 2006 13:46:50 +0000

prelink (0.0.20060522-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/fsync.dpatch:
    - Patch to ensure writing the data on the disk when a file is renamed.
      (Closes: #352926) 

 -- Andrés Roldán <aroldan@debian.org>  Wed, 24 May 2006 15:22:16 +0000

prelink (0.0.20050901-1) unstable; urgency=low

  * New upstream version.
  * Standards-Version is now 3.6.2. 

 -- Andrés Roldán <aroldan@debian.org>  Wed, 21 Sep 2005 14:25:11 +0000

prelink (0.0.20050610-1) unstable; urgency=low

  * New upstream release.
  * debian/prelink.cron.daily:
    - Don't run prelink with -v option as this gives sensible information of
      the memory of the binaries on the system. Patch taken from Ubuntu.
      Thanks to Martin Pitt <martin.pitt@canonical.com>. (Closes: #314604)
  * debian/control:
    - Adds ppc64 support. (Closes: #301097)

 -- Andrés Roldán <aroldan@debian.org>  Fri, 17 Jun 2005 16:11:01 +0000

prelink (0.0.20050314-1) unstable; urgency=low

  * New upstream version.
  * debian/prelink.conf:
    - Valgrind can be now prelinked.
  * debian/prelink.spec:

