## prelink 0.0.20090925-2

=== debian/control ===
Source: prelink
Section: user/system
Priority: optional
Maintainer: Felipe Zimmerle <felipe.zimmerle@collabora.co.uk>
Build-Depends: libc6-dev (>> 2.3.5) | libc6.1-dev (>> 2.3.5), debhelper (>> 4.0.18), libelfg0-dev, libpopt-dev, dpatch (>= 1.11)
Standards-Version: 3.8.1.0

Package: prelink
Architecture: any 
Depends: ${shlibs:Depends}, execstack
Description: ELF prelinking utility to speed up dynamic linking
 The prelink package contains a utility which modifies ELF shared libraries
 and executables, so that far fewer relocations need to be resolved at
 runtime and thus programs come up faster.

Package: execstack
Architecture: any
Depends: ${shlibs:Depends}
Conflicts: prelink (<< 0.0.20090311-2)
Replaces: prelink
Description: ELF GNU_STACK program header editing utility
 The execstack package contains a utility which modifies (or adds) the
 GNU_STACK program header to ELF binaries, and allows changing the executable
 flag.
