=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,8 @@
 # GNU copyright 1997 to 1999 by Joey Hess.
 
 SHELL+= -e
+
+include /usr/share/dpatch/dpatch.make
 
 #export DH_VERBOSE=1
 
@@ -14,7 +16,6 @@
 configure-stamp:
 	dh_testdir
 
-	dh_autoreconf
 	mkdir -p $(objdir)
 	cd $(objdir) && ../configure \
 		--prefix=/ --mandir=/usr/share/man/ --disable-shared \
@@ -22,9 +23,7 @@
 
 	touch $@
 
-build: build-arch build-indep
-build-arch: build-stamp
-build-indep:
+build: patch build-stamp
 build-stamp: configure-stamp 
 	dh_testdir
 
@@ -38,14 +37,13 @@
 
 	touch $@
 
-clean:
+clean:  unpatch
 	dh_testdir
 	dh_testroot
 	rm -f build-stamp configure-stamp
 
 	rm -rf $(objdir)
 
-	dh_autoreconf_clean
 	dh_clean
 
 install: build
@@ -75,7 +73,6 @@
 	dh_installman -pexecstack doc/execstack.8
 	dh_installcron
 	cp debian/prelink.default $D/etc/default/prelink
-	dh_lintian
 	dh_strip
 	dh_link
 	dh_compress
@@ -87,5 +84,4 @@
 
 binary: binary-arch
 
-.PHONY: build-indep build-arch build clean
-.PHONY: binary-indep binary-arch binary install configure
+.PHONY: build clean binary-indep binary-arch binary install configure
