## prelink 0.0.20130503

=== debian/changelog ===
prelink (0.0.20130503-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add the Built-Using field (Closes: #769350)
  * Build-depends against libelf-dev instead of libelfg0-dev (Closes: #769414)
  * Drop debian/patches/ftbfs-no-copy-dt-needed.patch, this is not needed
    anymore and it was an issue in libselinux in the first place anyway

 -- Laurent Bigonville <bigon@debian.org>  Fri, 25 Sep 2015 21:26:07 +0200

prelink (0.0.20130503-1) unstable; urgency=medium

  * Against my better judgement, adopt the package (Closes: #657967).
  * New upstream release, version 0.5.0 according to Fedora's numbering
    (Closes: #736947).
  * Bump standards version to 3.9.5.0 (no changes needed).
  * In debian/patches:
    - prelink.h.patch: Dropped; not needed except for truly ancient libc
      versions (2003ish).
    - init.patch, timestamp.patch: Refreshed.
    - r187.patch, r188.patch, r189.patch, r190.patch: Dropped; part of
      new upstream release.
    - open-with-mode.patch: Dropped; fixed in upstream r176
      "m4/libelf.m4: Resync with version of code in aclocal.m4."
    - ts.patch, prelink.8.patch, cache.patch: Dropped; they were
      previously commented out in debian/patches. ts skipped some tests
      and the other two were fixed upstream.
    - dso.c.patch, layout.c.patch, ts2.patch: Deleted; they were
      unreferenced in debian/patches and look like old debugging stuff.
  * debian/prelink.spec: Sync with Fedora -- this is used in generating
    the upstream changelog.
  * debian/copyright: Convert to machine-readable format 1.0 (aka DEP-5).
  * Add a debian/watch file.

 -- Geoffrey Thomas <gthomas@mokafive.com>  Mon, 17 Feb 2014 23:33:57 -0800
