=== debian/rules ===
--- 
+++ 
@@ -3,8 +3,6 @@
 # GNU copyright 1997 to 1999 by Joey Hess.
 
 SHELL+= -e
-
-include /usr/share/dpatch/dpatch.make
 
 #export DH_VERBOSE=1
 
@@ -12,10 +10,17 @@
 D := $(CURDIR)/debian/prelink
 E := $(CURDIR)/debian/execstack
 
+LIBC_DEV := $(shell grep-status -F Provides libc-dev -n -sPackage)
+ifeq (linux,$(DEB_HOST_ARCH_OS))
+LIBSELINUX_DEV := libselinux1-dev
+endif
+BUILT_USING := $(shell dpkg-query -f '$${source:Package} (= $${source:Version}), ' -W libelf-dev $(LIBSELINUX_DEV) $(LIBC_DEV))
+
 configure: configure-stamp
 configure-stamp:
 	dh_testdir
 
+	dh_autoreconf
 	mkdir -p $(objdir)
 	cd $(objdir) && ../configure \
 		--prefix=/ --mandir=/usr/share/man/ --disable-shared \
@@ -23,7 +28,9 @@
 
 	touch $@
 
-build: patch build-stamp
+build: build-arch build-indep
+build-arch: build-stamp
+build-indep:
 build-stamp: configure-stamp 
 	dh_testdir
 
@@ -37,13 +44,14 @@
 
 	touch $@
 
-clean:  unpatch
+clean:
 	dh_testdir
 	dh_testroot
 	rm -f build-stamp configure-stamp
 
 	rm -rf $(objdir)
 
+	dh_autoreconf_clean
 	dh_clean
 
 install: build
@@ -73,15 +81,17 @@
 	dh_installman -pexecstack doc/execstack.8
 	dh_installcron
 	cp debian/prelink.default $D/etc/default/prelink
+	dh_lintian
 	dh_strip
 	dh_link
 	dh_compress
 	dh_fixperms
 	dh_installdeb
 	dh_shlibdeps
-	dh_gencontrol
+	dh_gencontrol -- -V"built-using=$(BUILT_USING)"
 	dh_builddeb
 
 binary: binary-arch
 
-.PHONY: build clean binary-indep binary-arch binary install configure
+.PHONY: build-indep build-arch build clean
+.PHONY: binary-indep binary-arch binary install configure
