=== debian/watch ===
version=3
opts="uversionmangle=s/^/0.0./" http://people.redhat.com/jakub/prelink/prelink-(\d{8}).tar.bz2
