## prelink 0.0.20131005

=== debian/changelog ===
prelink (0.0.20131005-1) unstable; urgency=medium

  * New upstream release, matching Fedora version 0.5.0-3. (Mostly just
    s390x fixes.)
  * Change to my personal email address, as the previous one no longer
    works.
  * Acknowledge previous NMU. Thanks, Laurent!
  * Convert packaging to dh, and bump Debhelper compatibility level.
    - Disable tests for now, as they are broken and were previously
      commented out.
    - Move execstack from /usr/sbin to /usr/bin, following upstream
      packaging (Closes: #627855).
  * debian/prelink.postrm: Delete logs and caches on purge
    (Closes: #668724), and not on remove.
  * debian/NEWS: Remove, it's ten years old.
  * debian/patches/hurd.patch: Build on HURD, where MAXSYMLINKS doesn't
    exist (Closes: #738644). Thanks to Svante Signell for the patch.
  * debian/control: Bump standards version to 3.9.8 (no changes
    needed).

 -- Geoffrey Thomas <geofft@ldpreload.com>  Wed, 24 May 2017 19:20:10 -0400
