=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: prelink
 Section: admin
 Priority: optional
-Maintainer: Geoffrey Thomas <gthomas@mokafive.com>
-Build-Depends: debhelper (>= 6.0.7~), libelf-dev, libpopt-dev, libselinux1-dev [linux-any], dh-autoreconf, dctrl-tools
-Standards-Version: 3.9.5.0
+Maintainer: Geoffrey Thomas <geofft@ldpreload.com>
+Build-Depends: debhelper (>= 9~), libelf-dev, libpopt-dev, libselinux1-dev [linux-any], dh-autoreconf, dctrl-tools
+Standards-Version: 3.9.8
 
 Package: prelink
 Architecture: any
